# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' harmonic
#'
#' calculate sin and cos curves from POSIXct times (serial)
#'
#' @param times \code{numeric vector} times to calculate sin and cos at
#' @param freq \code{numeric vector} frequencies for sin and cos
#'
#' @return sin and cos curves
#'
#'
#' @export
#'
harmonic <- function(times, freq) {
    .Call(`_waterlevel_harmonic`, times, freq)
}

#' sin_harmonic
#'
#' calculate sin and cos curves from POSIXct times (serial)
#'
#' @param x \code{numeric vector} times to calculate sin and cos at
#' @param freq \code{numeric vector} frequencies for sin and cos
#'
#' @return sin curve
#'
#'
#' @export
#'
sin_harmonic <- function(x, freq) {
    .Call(`_waterlevel_sin_harmonic`, x, freq)
}

#' cos_harmonic
#'
#' calculate sin and cos curves from POSIXct times (serial)
#'
#' @param x \code{numeric vector} times to calculate sin and cos at
#' @param freq \code{numeric vector} frequencies for sin and cos
#'
#' @return cos curve
#'
#' @export
#'
cos_harmonic <- function(x, freq) {
    .Call(`_waterlevel_cos_harmonic`, x, freq)
}

#' @title
#' shift_subset
#'
#' @description
#' lag data and subset the results
#'
#' @param x \code{numeric vector} to lag
#' @param lag \code{integer vector} with the lags
#' @param n_subset \code{integer} subset every n_subset values
#' @param n_shift \code{integer} amount to shift results
#'
#' @return vector with lagged values
#'
#'
#' @export
shift_subset <- function(x, lag, n_subset, n_shift) {
    .Call(`_waterlevel_shift_subset`, x, lag, n_subset, n_shift)
}

#' @title
#' lag_matrix
#'
#' @description
#' lag data and subset the results
#'
#' @param x \code{numeric vector} to lag
#' @param lags \code{integer vector} with the lags
#' @param n_subset \code{integer} subset every n_subset values
#' @param n_shift \code{integer} amount to shift results
#' @param var_name \code{character} name for the generated matrix columns
#'
#' @return matrix with lagged values
#'
#'
#' @export
lag_matrix <- function(x, lags, n_subset = 1L, n_shift = 0L, var_name = "lag") {
    .Call(`_waterlevel_lag_matrix`, x, lags, n_subset, n_shift, var_name)
}

#' @title
#' det_vector
#'
#' @description
#' Determinant for an array
#'
#' @param x \code{numeric array} values to evaluate
#'
#' @return vector of determinants
#'
#'
#' @export
det_vector <- function(x) {
    .Call(`_waterlevel_det_vector`, x)
}

solve_tf <- function(x) {
    .Call(`_waterlevel_solve_tf`, x)
}

#' @title
#' det_parallel
#'
#' @description
#' Determinant for an array in parallel
#'
#' @param a \code{numeric array} values to evaluate
#'
#' @return vector of determinants
#'
#'
#' @export
det_parallel <- function(a) {
    .Call(`_waterlevel_det_parallel`, a)
}

#' @title
#' solve_tf_parallel
#'
#' @description
#' Calculate the transfer functions for an array in parallel
#'
#' @param a \code{numeric array} values to evaluate
#'
#' @return vector of transfer functions
#'
#'
#' @export
solve_tf_parallel <- function(a) {
    .Call(`_waterlevel_solve_tf_parallel`, a)
}

calc_b_vals <- function(b, wb) {
    .Call(`_waterlevel_calc_b_vals`, b, wb)
}

konno_ohmachi <- function(b_vals, ref_z, f, x, i) {
    .Call(`_waterlevel_konno_ohmachi`, b_vals, ref_z, f, x, i)
}

#' @title
#' konno_ohmachi_parallel
#'
#' @description
#' This method does konno ohmachi smoothing
#'
#' @param x vector to smooth
#' @param f vector of frequencies
#' @param b integer even magnitude to smooth
#'
#' @return konno ohmachi smoothed results
#'
#'
#' @export
#'
konno_ohmachi_parallel <- function(x, f, b = 10L) {
    .Call(`_waterlevel_konno_ohmachi_parallel`, x, f, b)
}

#' @title
#' konno_ohmachi_serial
#'
#' @description
#' This method does konno ohmachi smoothing
#'
#' @param x \code{numeric vector} to smooth
#' @param f \code{numeric vector} of frequencies
#' @param b \code{integer} smoothing coefficient
#'
#' @return vector of konno ohmachi smoothed results
#'
#'
#' @export
#'
konno_ohmachi_serial <- function(x, f, b = 10L) {
    .Call(`_waterlevel_konno_ohmachi_serial`, x, f, b)
}

fcb3 <- function(basisvar, basislag, lag) {
    .Call(`_waterlevel_fcb3`, basisvar, basislag, lag)
}

rcpp_hello_world <- function() {
    .Call(`_waterlevel_rcpp_hello_world`)
}

