#' @title
#' log_lags
#'
#' @description
#' Generate logarithmically spacing for lags. Note: the number of lags will not 
#' exactly equal n unless max_time_lag is large or n is very small
#'
#' @param n number of lags (integer)
#' @param max_time_lag maximum lag (integer)
#'
#' @return integer vector of lags
#'
#' @export
#'
#' @examples
#' log_lags(12, 86401)
log_lags <- function(n, max_time_lag) {
  
  sort(unique(round(10^seq(0,
                           log10(max_time_lag),
                           length.out = n)-1)))
  
}