% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/be_correct.R
\name{be_correct}
\alias{be_correct}
\title{be_correct}
\usage{
be_correct(dat, dep = "wl", ind = "baro", be = 0, inverse = TRUE,
  known_mean = NULL)
}
\arguments{
\item{dat}{data that has the independent and dependent variables (data.table)}

\item{dep}{name of the dependent variable column (character).  This is 
typically the name for the column holding your water level data.}

\item{ind}{name of the independent variable column (character).  This is 
typically the name for the column holding your barometric pressure data.}

\item{be}{\code{numeric} value of the barometric efficiency}

\item{inverse}{whether the barometric relationship is inverse
(TRUE means that when the barometric pressure goes up the measured water
level goes down (vented transducer, depth to water), FALSE means that when 
the barometric pressure goes up so does the measured pressure 
(non-vented transducer)) (logical).}

\item{known_mean}{\code{numeric} explicitly enter the mean if known.  Otherwise estimate from data.}
}
\value{
\code{numeric vector} of corrected values
}
\description{
Adjust values based on the barometric efficiency
}
\examples{
library(data.table)
baro = rnorm(1000, sd = 0.01) + 9
wl <- baro * 0.4 + 18
dat <- data.table(baro, wl)
dat$wl + be_correct(dat, be=0.4, inverse = FALSE)
dat$wl + be_correct(dat, be=0.4, inverse = FALSE, known_mean = 9) 
# should return ~21.6 = 18 + 0.4 * 9

}
