% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/be_high_low.R
\name{be_high_low}
\alias{be_high_low}
\title{be_high_low}
\usage{
be_high_low(dat, dep = "wl", ind = "baro", time = "datetime",
  time_group = "\%Y-\%m-\%d")
}
\arguments{
\item{dat}{data that has the independent and dependent variables (data.table)}

\item{dep}{name of the dependent variable column (character).  This is 
typically the name for the column holding your water level data.}

\item{ind}{name of the independent variable column (character).  This is 
typically the name for the column holding your barometric pressure data.}

\item{time}{name of the column containing the time (character)}

\item{time_group}{format for grouping time (ie: "\%Y-\%m-\%d") (character)}
}
\value{
barometric efficiency based on high and low values
}
\description{
Uses the maximum and minimum values for a time period to calculate be.
}
\examples{
library(data.table)
datetime <- seq.POSIXt(as.POSIXct("2016-01-01 00:00:00", tz = 'UTC'),
                       as.POSIXct("2016-01-06 00:00:00", tz = 'UTC'), by='hour')
baro  <- sin(seq(0, 2*pi, length.out = length(datetime)))
wl    <- 0.4 * baro + rnorm(length(datetime), sd = 0.01)
dat   <- data.table(baro, wl, datetime)
be_hl <- be_high_low(dat)
be_hl <- be_high_low(dat, time_group = 86400)

}
