% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/be_storage.R
\name{be_storage}
\alias{be_storage}
\title{be_storage}
\usage{
be_storage(be, n, b, gamma = 9799.74, beta = 4.786e-10)
}
\arguments{
\item{be}{the barometric efficiency (numeric)}

\item{n}{the porosity 0 to 1 (numeric)}

\item{b}{aquifer thickness (m) (numeric)}

\item{gamma}{the specific weight of water (N/m^3) (numeric)}

\item{beta}{the compressibility of water (4.786e-10 m^2/N) (numeric)}
}
\value{
storage calculated from barometric efficiency
}
\description{
This function estimates the storage coefficient from physical properties and the barometric efficiency
The equation used is from Batu 1998, eq 2-101, pg. 72
}
\examples{
be_storage(0.5, 0.32, 45)

}
\references{
Batu, V. (1998). Aquifer hydraulics: a comprehensive guide to 
hydrogeologic data analysis. John Wiley & Sons.
}
