% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/be_visual.R
\name{be_visual_plot}
\alias{be_visual_plot}
\title{be_visual_plot}
\usage{
be_visual_plot(dat, time = "datetime", subsample = TRUE)
}
\arguments{
\item{dat}{data that has the independent and dependent variables (data.table)}

\item{time}{name of the column containing the time (character)}

\item{subsample}{should the data be subsampled for plotting? (logical)}
}
\value{
plotly graph for barometric efficiency estimation with Smith method
}
\description{
Plot to compare barometric efficiency. Large datasets may take a long time to plot.  Subsample should be set to TRUE
}
\examples{
library(plotly)
library(data.table)
be <- 0.43
x <- seq(0, 28 * pi, pi / (12 * 12))

baro <- sin(x) + rnorm(length(x), sd = 0.04)
wl <- -sin(x) * be + rnorm(length(x), sd = 0.04)
dat <- data.table(datetime = as.POSIXct(x * 86400 / (2 * pi),
                                        origin = '1970-01-01', tz = 'UTC'),
                  wl = wl, baro = baro)
dat_be <- be_visual_data(dat)
#be_visual_plot(dat_be) #not run

}
